Bug 64224 - Keyboard and Mouse unusable after boot
Keyboard and Mouse unusable after boot
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-04-29 14:12 EDT by Need Real Name
Modified: 2008-01-17 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-04-29 14:12:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
I did a vanilla install of RH 7.2.93.  The keyboard and mouse were detected and 
worked fine.  When the computer was restarted the computer did not find the 
keyboard and when the boot up hardware checked for the mouse it de-configured 
it as not found.  Neither the mouse or the keyboard were then usable

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.I re-formatted the drive and reinstalled RH7.2.93 after downloading it from 
another site
2.Same results

Actual Results:  Same results

Expected Results:  I was hoping the keyboard and mouse would work

Additional info:
Comment 1 Jeremy Katz 2002-04-29 16:00:30 EDT
What type of keyboard/mouse is this?  (USB or legacy)?
Comment 2 Need Real Name 2002-04-29 16:44:28 EDT
This is a standard PS/2 keyboard(gateway) and a Logitect wireless wheel mouse - 
the installer found it as a generic 3 key mouse.
Comment 3 Michael Fulbright 2002-04-30 15:14:32 EDT
Bill have you heard of this happening? I don't think its an anaconda issue at
the look of it.
Comment 4 Bill Nottingham 2002-04-30 16:44:31 EDT
No, I haven't heard of this happening before.
Comment 5 Michael Fulbright 2002-05-01 11:43:30 EDT
What type of system is this?
Comment 6 Need Real Name 2002-05-01 11:54:07 EDT
This is an older system a Pentium 3 MMX 450 / 128 MB RAM / 20 GB HD
Comment 7 Need Real Name 2002-05-01 15:58:21 EDT
It seems to be a X problem.  I started the system to the command line and the 
keyboard works.  As soon as I start X neither the keyboard or the mouse works.  
I don't seem to have any problems from the command line though.  As long as I 
stay out of the GUI it great.
Comment 8 Michael Fulbright 2002-05-09 15:04:38 EDT
Are you using an XFree86 3.x or 4.x driver?

If you are using 3.x please attach your /etc/X11/XF86Config file, otherwise
please attach your /etc/X11/XF86Config-4 file.
Comment 9 Need Real Name 2002-05-10 10:15:56 EDT
Here is the XF86Config-4 file

 File generated by anaconda.

Section "ServerLayout"
        Identifier     "Anaconda Configured"
        Screen      0  "Screen0" 0 0
        InputDevice    "Mouse0" "CorePointer"
        InputDevice    "Keyboard0" "CoreKeyboard"

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath	"/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"


Section "Module"
        Load  "GLcore"
        Load  "dbe"
        Load  "extmod"
	Load "fbdevhw"
	Load "dri"
        Load  "glx"
        Load  "record"
        Load  "freetype"
        Load  "type1"

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "keyboard"

#	Option	"AutoRepeat"	"500 5"

# when using XQUEUE, comment out the above line, and uncomment the
# following line
#	Option	"Protocol"	"Xqueue"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#	Option	"Xleds"		"1 2 3"

# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
	Option	"XkbRules"	"xfree86"
	Option	"XkbModel"	"pc105"
	Option	"XkbLayout"	"us"
	Option	"XkbVariant"	"nodeadkeys"
	#Option	"XkbOptions"	""

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "PS/2"
        Option      "Device" "/dev/psaux"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"

Section "Monitor"
        Identifier   "Monitor0"
        VendorName   "Monitor Vendor"
        ModelName    "Monitor Model"
        HorizSync   30.0-96.0
        VertRefresh 50.0-130.0
        Option "dpms"

        # -- 1400x1050 --
        # 1400x1050 @ 60Hz, 65.8 kHz hsync
        Modeline "1400x1050"  129   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 70Hz, 76.8 kHz hsync
        Modeline "1400x1050"  151   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        #1400x1050 @ 75Hz, 82.3 kHz hsync
        Modeline "1400x1050"  162   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync

        # 1400x1050 @ 85Hz, 93.2 kHz hsync
        Modeline "1400x1050"  184   1400 1464 1656 1960
                              1050 1051 1054 1100 +HSync +VSync


Section "Device"
	# no known options
	Identifier   "ATI Mach64"
        Driver       "ati"
        VendorName   "ATI Mach64"
        BoardName     "ATI Mach64"

Section "Screen"
	Identifier   "Screen0"
        Device       "ATI Mach64"
        Monitor      "Monitor0"
	DefaultDepth	16

	Subsection "Display"
        	Depth       16
                Modes       "1024x768" "800x600" "640x480" 


Section "DRI"
	Mode 0666
Comment 10 Michael Fulbright 2002-10-24 16:55:30 EDT
Please retry with Red Hat Linux 8.0.
Comment 11 Michael Fulbright 2002-12-02 11:12:34 EST
Closing due to inactivity, please reopen if you have additional information to add.
Comment 12 Red Hat Bugzilla 2006-02-21 13:48:48 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.